Results 1 to 4 of 4

Thread: Switch to GCC 5

  1. #1

    Exclamation Switch to GCC 5

    I have installed GCC 5, but I can't figure out how to switch to it.

    When I try to use update-alternatives i get an error:
    Code:
    update-alternatives: error: no alternatives for gcc

  2. #2
    alanbortu NNTP User

    Default Re: Switch to GCC 5

    On 11/11/2015 10:26 AM, Let Me Be wrote:
    >
    > I have installed GCC 5, but I can't figure out how to switch to it.
    >
    > When I try to use update-alternatives i get an error:
    >
    > Code:
    > --------------------
    > update-alternatives: error: no alternatives for gcc
    > --------------------
    >
    >


    Which package/repo did you use? IIRC, it got put in some strange
    directory so maybe its not in your $PATH. I believe there is a way to
    manually add a file to the update-alternatives but cant remember what it
    was at the moment.

    --
    openSUSE Leap (42.1) 64 bit
    Plasma 5

  3. #3

    Default Re: Switch to GCC 5

    I just used the gcc-5 package that is in the standard repository.

  4. #4
    Join Date
    Jun 2008
    Location
    San Diego, Ca, USA
    Posts
    12,157
    Blog Entries
    2

    Default Re: Switch to GCC 5

    I submitted a bugzilla request awhile back for TW to provide an update-alternatives config for gcc (but no answer, probably everyone's busy).

    AFAIK,
    As of today if you want to implement GCC 5 in LEAP or 13.2 (or GCC 4 in TW) you need to explicitly describe the path in your command.

    Hmmmm...
    I can't find my original submission (approx 6 mths ago).
    Maybe someone should create a new feature request, if you create one I'll post a "me, too" to the idea which I think is badly needed.

    TSU

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •